Subject: Re: Stupid stupid remarks
From: [email-masked] (Jim Balter)

26 Mar 1997 06:24:27 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <01BC386B.709FACA0@gbird0> <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: [email-masked]
Original-CC: [email-masked]
Original-Sender: [email-masked]

DRS wrote:
> 
> Jim Balter wrote:
> 
> > Under NT 4.0, the program dies just by virtue of *referencing*
> > GetFullPathName, without calling it (as APS said).
> 
> Huh. Must be a bug in the linker. (Not.)

It is, and I've proven it.

> The following code compiles and works correctly under win95.

It has been proven that Win NT misbehaves in cases where win95 does not;
ld -s is a well-known example.

> // g++ -o test.exe test.cpp

This has nothing to do with the bug being discussed.

> So even though you and Phil claim to have found a linker bug, I have
> yet to be able to reproduce it.

So what?  You haven't run the same code, nor on the same system.

> The correct prototype for GetFullPathName looks like this, Jim:

Well known to me, but irrelevant.

> Perhaps. But my code seems to work, while yours and Phil's doesn't. ;)

Which of course is not the point.  But in fact, Phil's code works
if -lkernel32 is omitted from the command line.

> Regards as always.

Not from me.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".